// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(java.util);
importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.helpers);
importPackage(Packages.com.silverwrist.venice.ui.view);

// get the request object
rinput = bsf.lookupBean("request");

rc = null;
try
{ // get the hotlist and save it off for the display
  rinput.setRequestAttribute("user.conf.hotlist",rinput.user.getConferenceHotlist());

  // create a JSPView with the hot list
  rc = new JSPView("Your Conference Hotlist","conf/hotlist.jsp");
  rc.menuSelector = Content.MENU_SELECTOR_TOP;

} // end try
catch (e)
{ // unable to get the hotlist
  etype = vlib.exceptionType(e) + "";
  if (etype.match("DataException"))
    rc = new ErrorBox("Database Error","Error getting hotlist: " + e.message,"top.js.vs");
  else
    rc = e;

} // end catch

vlib.output(rc);
